# Relink a Token to Another Card Contract
source: https://developer.mastercard.com/mastercard-processing-digital/documentation/use-cases/relink-token-to-another-card-contract/index.md

## Overview {#overview}

The use case describes the corner case with the process in which a cardholder has two active card contracts and decides to relink a single token or all tokens from one to another card contract.


Note: The process may also be triggered by the issuer employee from the issuer's back-office system. Note: Mastercard Processing automatically manages the PAN-token lifecycle. Hence, when a card contract is renewed or replaced, the Card Management System (CMS) automatically relinks all tokens to the new card contract and notifies MDES to synchronize the data. For the digital card, the change is done immediately, and for the physical card, the token update is sent to the MDES after the card activation.

Relinking the token from one card contract to another through the `relinkTokensToAnotherCard` (which triggers when Mastercard Processing sends an ISO network message 0302 Issuer File Update to the MDES) does not trigger sending the Tokenization Event Notification (TVN) to your server.

<br />

## Sequence diagram {#sequence-diagram}

Diagram relink-token-to-another-card-contract

### Explanation {#explanation}

1. The cardholder selects to relink tokens to another card in the mobile application.
2. The mobile application sends the request to the issuer server to relink tokens.
3. The issuer server sends a `PUT` request to the `/cards/{card_contract_id}/token-relinks` endpoint by passing the `newCardContractId` field, with the card contract identifier stored in the CMS to which tokens must be relinked, in the request body. Tip: To successfully relink tokens, the new card contract must have the same `productCode` as the old one.
4. The Mastercard Processing Digital API relinks the tokens in the CMS and returns the HTTP status code `204`. Tip: If the cardholder wants to relink a single token, your server must send the `tokenNumber` field, with the token value stored in the CMS, in the request body.
5. The issuer server sends the response to the mobile application.
6. The mobile application notifies the cardholder that tokens have been relinked.
7. In parallel to sending the response to the server (step 4), the CMS sends the ISO network message 0302 Issuer File Update to the MDES to update tokens data in the MDES.
8. The MDES updates the tokens data in the MDES and sends the tokens update to the appropriate wallet(s) servers. The MDES does not generate a Tokenization Event Notification (TVN) in this case.

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-digital/documentation/sandbox-testing/index.md) for more information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `PUT /cards/{card_contract_id}/token-relinks`

